| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
IndexInfo Class Reference
Basic

Info on (floating-point) position in an array or StepInterval. More...

`#include <indexinfo.h>`

## Public Member Functions
template<class X , class Y >
| IndexInfo (const SamplingData< X > &s, Y y, int len)
template<class X , class Y >
| IndexInfo (const StepInterval< X > &s, Y y)
template<class T >
| IndexInfo (const T *, int sz, T val)
| IndexInfo (int i, bool r=true, bool u=false)
template<class X , class Y >
void | set (const SamplingData< X > &, Y, int length)
template<class X , class Y >
void | set (const StepInterval< X > &, Y)

## Public Attributes
bool | inundef_
int | nearest_
bool | roundedtolow_

## Detailed Description

Info on (floating-point) position in an array or StepInterval.

<>

## Constructor & Destructor Documentation

## ◆ IndexInfo() [1/4]

IndexInfo::IndexInfo | ( | int | i,
|  | bool | r = true,
|  | bool | u = false )
| inline

## ◆ IndexInfo() [2/4]

template<class X , class Y >

IndexInfo::IndexInfo | ( | const StepInterval< X > & | s,
|  | Y | y )
| inline

## ◆ IndexInfo() [3/4]

template<class X , class Y >

IndexInfo::IndexInfo | ( | const SamplingData< X > & | s,
|  | Y | y,
|  | int | len )
| inline

## ◆ IndexInfo() [4/4]

template<class T >

IndexInfo::IndexInfo | ( | const T * | arr,
|  | int | sz,
|  | T | val )
| inline

## Member Function Documentation

## ◆ set() [1/2]

template<class X , class Y >

void IndexInfo::set | ( | const SamplingData< X > & | sd,
|  | Y | y,
|  | int | length )
| inline

## ◆ set() [2/2]

template<class X , class Y >

void IndexInfo::set | ( | const StepInterval< X > & | intv,
|  | Y | y )
| inline

## Member Data Documentation

## ◆ inundef_

bool IndexInfo::inundef_

## ◆ nearest_

int IndexInfo::nearest_

## ◆ roundedtolow_

bool IndexInfo::roundedtolow_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025